summaryrefslogtreecommitdiff
path: root/tests/rm/one-file-system
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/one-file-system')
-rwxr-xr-xtests/rm/one-file-system33
1 files changed, 8 insertions, 25 deletions
diff --git a/tests/rm/one-file-system b/tests/rm/one-file-system
index 9d71a21c7..471216c2c 100755
--- a/tests/rm/one-file-system
+++ b/tests/rm/one-file-system
@@ -1,7 +1,7 @@
#!/bin/sh
# Demonstrate rm's new --one-file-system option.
-# Copyright (C) 2006 Free Software Foundation, Inc.
+# Copyright (C) 2006, 2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -23,43 +23,26 @@ fi
PRIV_CHECK_ARG=require-root . $srcdir/../priv-check
. $srcdir/../lang-default
-. $srcdir/../other-fs-tmpdir
+. $srcdir/../test-lib.sh
-if test -z "$other_partition_tmpdir"; then
- (exit 77); exit 77
-fi
-
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-t0="$t0 $other_partition_tmpdir"
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
+# If used, these must *follow* test-lib.sh.
+cleanup_() { rm -rf "$other_partition_tmpdir"; }
+. "$abs_top_srcdir/tests/other-fs-tmpdir"
t=$other_partition_tmpdir
mkdir -p a/b $t/y
-mount --bind $t a/b || framework_failure=1
+mount --bind $t a/b || framework_failure
-cat <<\EOF > exp || framework_failure=1
+cat <<\EOF > exp || framework_failure
rm: skipping `a/b', since it's on a different device
EOF
-if test $framework_failure = 1; then
- echo "$0: setup failed; skipping this test" 1>&2
- (exit 77); exit 77
-fi
-
fail=0
rm --one-file-system -rf a 2> out && fail=1
test -d $t/y || fail=1
umount $t
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare out exp || fail=1
(exit $fail); exit $fail